import { DocumentNode, IntrospectionQuery } from 'graphql';
import { Config, KeyValueUnknown, ResolvingRESTOptions } from './typings';
import { Vue } from 'vue/types/vue';
export declare const defaultRESTHeaders: {
    Accept: string;
    'Content-Type': string;
};
export declare function getApollo(): import("vue-apollo/types/vue-apollo").DollarApollo<Vue>;
export declare function camelToKebab(input: string): string;
export declare function queryParams(params: any, camelToKebabActive?: boolean): string;
export declare function status(res: any): Promise<any>;
export declare function json(response: any): any;
export declare function performSafeRequestREST(url: any, params?: {}, method?: string, opts?: KeyValueUnknown): Promise<any>;
export declare function performGqlQuery(query: any, variables: any, queryName: any, subscribeToMore?: any): Promise<unknown>;
export declare function performGqlMutation(mutation: any, variables: any): Promise<unknown>;
export declare function stripTypename(obj: any): any;
export declare function performSafeRequestGraphql(query: DocumentNode, variables?: {}, subscriptions?: unknown[]): Promise<any>;
export declare function registryGet(key: string): unknown;
export declare function config(): Config;
export declare function getParsedSchema(): DocumentNode;
export declare function getSchemaTypeFields(typeName: any): string[];
export declare function getSchemaMutation(mutationName: any): import("graphql").FieldDefinitionNode;
export declare function getSchemaQuery(queryName: any): import("graphql").FieldDefinitionNode;
export declare function getUrl(_opts: ResolvingRESTOptions): Promise<string>;
export declare function stripObject(obj: any): any;
export declare function fetchIntrospectionSchema(url: string): Promise<IntrospectionQuery>;
//# sourceMappingURL=utils.d.ts.map